Summary: Audit event viewer
Name: audit-viewer
Version: 0.5.1
Release: 3%{?dist}
License: GPLv2
Group: Applications/System
URL: https://fedorahosted.org/audit-viewer/
Source0: https://fedorahosted.org/releases/a/u/audit-viewer/audit-viewer-%{version}.tar.bz2
Patch0: audit-viewer-0.5.1-export.patch
Patch1: audit-viewer-0.5.1-charts.patch
# Upstream changeset 467bd1382d592b29c6e2d20afd91c64ea2a3c81a
Patch2: audit-viewer-0.5.1-date-field.patch
# Upstream changeset 22497aedc623722e09af8687b600d83b5c990a4d
Patch3: audit-viewer-0.5.1-chart-labels.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: desktop-file-utils, gettext, intltool, python
Requires: audit-libs-python, gnome-python2-gnome, gnome-python2-rsvg
Requires: pygtk2-libglade, pychart, python-gtkextra, python-sexy, usermode
Requires: usermode-gtk

%description
A graphical utility for viewing and summarizing audit events.

%prep
%setup -q
%patch0 -p1 -b .export
%patch1 -p1 -b .charts
%patch2 -p1 -b .date-field
%patch3 -p1 -b .chart-labels

%build
%configure --disable-update-mimedb
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-fedora INSTALL='install -p'

%find_lang audit-viewer

desktop-file-install --vendor=fedora \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications --delete-original \
	$RPM_BUILD_ROOT/%{_datadir}/applications/audit-viewer.desktop

%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f audit-viewer.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/audit-viewer
%{_datadir}/applications/fedora-audit-viewer.desktop
%{_datadir}/audit-viewer
%{_datadir}/mime/packages/audit-viewer.xml
%{_libexecdir}/audit-viewer-server
%{_libexecdir}/audit-viewer-server-real
%{_mandir}/man8/audit-viewer.8*
%config(noreplace) %{_sysconfdir}/pam.d/audit-viewer-server
%config(noreplace) %{_sysconfdir}/security/console.apps/audit-viewer-server


%changelog

